org.apache.uima.cas

## Interface BooleanArrayFS

- All Superinterfaces:
    Cloneable, CommonArrayFS<Boolean>, FeatureStructure
  All Known Subinterfaces:
    BooleanArrayFSImpl
  All Known Implementing Classes:
    BooleanArray

      public interface BooleanArrayFS
      extends CommonArrayFS<Boolean>

  Boolean array interface. To create a boolean array object, use `CAS.createBooleanArrayFS(int)` or new BooleanArray(aJCas, length)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(boolean[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
    `void` | `copyToArray(int srcOffset, boolean[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    `boolean` | `get(int i)` Get the i-th string from the array.
    `void` | `set(int i, boolean b)` Set the i-th value.
    `boolean[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

    - ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

      `copyFromArray, copyToArray, copyValuesFrom, getValuesAsCommaSeparatedString, isEmpty, size, toStringArray`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Method Detail

    - #### get

          boolean get(int i)
               throws ArrayIndexOutOfBoundsException

      Get the i-th string from the array.
      Parameters:
        `i` - selects the string
      Returns:
        The i-th element.
      Throws:
        `ArrayIndexOutOfBoundsException` - If the index is out of bounds.

    - #### set

          void set(int i,
                   boolean b)
            throws ArrayIndexOutOfBoundsException

      Set the i-th value.
      Parameters:
        `i` - The index.
        `b` - The value.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.

    - #### toArray

          boolean[] toArray()

      Create a Java array that is a copy of the internal CAS array.
      Returns:
        An array copy.

    - #### copyToArray

          void copyToArray(int srcOffset,
                           boolean[] dest,
                           int destOffset,
                           int length)
                    throws ArrayIndexOutOfBoundsException

      Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

    - #### copyFromArray

          void copyFromArray(boolean[] src,
                             int srcOffset,
                             int destOffset,
                             int length)
                      throws ArrayIndexOutOfBoundsException

      Copy the contents of an external array into this array.
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.